From 02a4a8f402d28d406916f117e1103ab89391b3b8 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Oct 23 2025 19:33:57 +0000
Subject: Remove IoT, only compose fedora-bootc container


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 9b3a9bf..5c973d0 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -87,13 +87,6 @@ lorax_options = [
   })
 ]
 
-additional_packages = [
-    ('^IoT$$', {
-        '*': [
-            '*',
-        ],
-    }),
-]
 multilib = [
     ('^Everything$', {
         'x86_64': ['devel', 'runtime'],
@@ -209,74 +202,6 @@ global_version = '42'
 # live_images ignores this in favor of live_target
 global_target = 'f42'
 
-osbuild = {
-    "^IoT$": [
-      {
-        "name": "%s-raw" % release_name,
-        "distro": "fedora-42",
-        "image_types": ["iot-raw-image"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT",
-        "failable": ["*"]
-      },
-      {
-        "name": "%s-ostree" % release_name,
-        "distro": "fedora-42",
-        "image_types": ["iot-installer"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT",
-        "failable": ["*"]
-        "manifest_type": "dvd-ostree",
-      },
-      {
-        "name": "%s-provisioner" % release_name,
-        "distro": "fedora-42",
-        "image_types": ["iot-simplified-installer"],
-        "target": "f%s-candidate" % release_version,
-        "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/",
-                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$arch/os/"],
-        "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/stable/$arch/iot",
-        "subvariant": "IoT_Simplified_Provisioner",
-        "customizations": {"installation_device": "/dev/vda"},
-        "failable": ["*"],
-        "manifest_type": "dvd-ostree",
-      },
- ],
-}
-
-ostree = {
-    "^IoT$": {
-            "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-            "force_new_commit": True,
-            "unified_core": True,
-            "treefile": "fedora-iot.yaml",
-            "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "f42",
-            "repo": [
-                "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
-                "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
-            "tag_ref": False,
-            "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/stable/${basearch}/iot",
-            "runroot_packages": ["selinux-policy-targeted"],
-            "arches": ["x86_64", "aarch64"],
-            "update_summary": True,
-        }
-}
-
 ostree_container = {
     "^IoT$": [
         {
@@ -291,17 +216,6 @@ ostree_container = {
              "subvariant": "base",
              "name": "Fedora-base-bootc",
         },
-        {
-             "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
-             "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
-             "config_branch": "main",
-             "treefile": "fedora-iot-42.yaml",
-             "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
-                      "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
-             "arches": ["x86_64", "aarch64"],
-             "failable": ['*'],
-             "name": "Fedora-IoT-bootc",
-        },
     ]
 }
 
diff --git a/sync-bootc-base-containers.sh b/sync-bootc-base-containers.sh
index f0af86f..21b6652 100755
--- a/sync-bootc-base-containers.sh
+++ b/sync-bootc-base-containers.sh
@@ -47,9 +47,9 @@ arch_to_goarch() {
 
 # This is the release of Fedora that is currently stable, it will define if we
 # need to move the fedora:latest tag
-current_stable="42"
+current_stable="43"
 # Define what is rawhide so we know to push that tag
-current_rawhide="43"
+current_rawhide="44"
 # Sanity checking
 if ! [[ "${1}" =~ ^-?[0-9]+$ ]];
 then

